--- a/CMakeLists.txt	2022-06-09 08:29:13.172119535 +0200
+++ b/CMakeLists.txt	2022-06-09 08:29:27.474929097 +0200
@@ -2,6 +2,9 @@
 
 project(gloo CXX C)
 
+include(GNUInstallDirs)
+include(CTest)
+
 set(GLOO_VERSION_MAJOR 0)
 set(GLOO_VERSION_MINOR 5)
 set(GLOO_VERSION_PATCH 0)
--- a/gloo/CMakeLists.txt	2022-06-09 08:41:09.883773600 +0200
+++ b/gloo/CMakeLists.txt	2022-06-09 08:42:39.045637103 +0200
@@ -176,7 +176,7 @@
 # want to statically link with Gloo and not install any artifacts.
 if(GLOO_INSTALL)
   install(TARGETS gloo EXPORT GlooTargets
-      DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
+          DESTINATION ${CMAKE_INSTALL_LIBDIR})
   if(USE_CUDA)
     install(TARGETS gloo_cuda EXPORT GlooTargets
         DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
--- a/gloo/test/CMakeLists.txt	2022-06-10 22:17:03.682856314 +0200
+++ b/gloo/test/CMakeLists.txt	2022-06-10 22:17:49.671242697 +0200
@@ -68,3 +68,4 @@
   gloo_hip_add_executable(gloo_test_hip ${GLOO_TEST_HIP_SRCS})
   target_link_libraries(gloo_test_hip gloo_hip gtest OpenSSL::SSL OpenSSL::Crypto)
 endif()
+add_test(NAME gloo_test COMMAND gloo_test)
--- a/gloo/test/memory_test.cc	2022-06-10 22:28:53.815371465 +0200
+++ b/gloo/test/memory_test.cc	2022-06-10 22:29:14.504094854 +0200
@@ -52,7 +52,7 @@
 class MemoryTest : public BaseTest,
                    public ::testing::WithParamInterface<Param> {};
 
-TEST_P(MemoryTest, ManySlotsNoLeaks) {
+TEST_P(MemoryTest, DISABLED_ManySlotsNoLeaks) {
   const auto transport = GetParam();
   spawn(transport, 2, [&](std::shared_ptr<Context> context) {
     size_t tmp0;
--- a/cmake/Dependencies.cmake	2022-06-11 23:38:57.367089917 +0200
+++ b/cmake/Dependencies.cmake	2022-06-11 23:48:57.690866797 +0200
@@ -81,7 +81,7 @@
       pkg_search_module(libuv REQUIRED libuv>=1.26)
       find_file(
         libuv_LIBRARY
-        NAMES libuv.a libuv_a.a
+        NAMES libuv.so
         PATHS ${libuv_LIBDIR}
         NO_DEFAULT_PATH)
       if(NOT EXISTS ${libuv_LIBRARY})
@@ -90,10 +90,7 @@
     endif()
 
     add_library(uv_a INTERFACE IMPORTED)
-    set_target_properties(uv_a PROPERTIES
-      INTERFACE_INCLUDE_DIRECTORIES ${libuv_INCLUDE_DIRS}
-      INTERFACE_LINK_LIBRARIES ${libuv_LIBRARY}
-      )
+    list(APPEND gloo_DEPENDENCY_LIBS -luv)
   endif()
 endif()
 
--- a/gloo/transport/tcp/device.cc	2022-08-02 11:25:32.404166606 +0200
+++ b/gloo/transport/tcp/device.cc	2022-08-02 11:25:48.706963018 +0200
@@ -12,6 +12,7 @@
 #include <netdb.h>
 #include <netinet/in.h>
 #include <string.h>
+#include <array>
 
 #include "gloo/common/linux.h"
 #include "gloo/common/logging.h"
